Bug 222421 - japanese/ddskk: Update to 16.2
Summary: japanese/ddskk: Update to 16.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-18 07:01 UTC by kenji.rikitake
Modified: 2018-02-17 15:55 UTC (History)
2 users (show)

See Also:
kenji: maintainer-feedback-


Attachments
Patch of japanese/ddskk diff from 15.1 to 16.2 (3.25 KB, patch)
2017-09-18 07:01 UTC, kenji.rikitake
no flags Details | Diff
Patch of japanese/ddskk diff from 15.1 to 16.2 (revised to fix orphan plist errors) (3.87 KB, patch)
2017-09-19 06:44 UTC, Kenji Rikitake
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kenji.rikitake 2017-09-18 07:01:42 UTC
Created attachment 186502 [details]
Patch of japanese/ddskk diff from 15.1 to 16.2

Port japanese/ddskk diff from 15.1 to 16.2

Changes in Japanese:
    https://github.com/skk-dev/ddskk/blob/ddskk-16.2_Warabitai/ChangeLog
    https://github.com/skk-dev/ddskk/blob/ddskk-16.2_Warabitai/ChangeLog.5
    https://github.com/skk-dev/ddskk/releases/tag/ddskk-16.2_Warabitai

Tested on amd64 11.1-STABLE r322643 

Patch summary:

* Set version to 16.2 on distfile and Makefile
* files/patch-Makefile: add `--eval '(setq skk-server-host nil)'` to supress waiting time looking up for the localhost SKK server (especially on IPv6)
* Remove skk/queue-m.el[c] from pkg-plist
* Sort pkg-plist alphabetically
* Makefile post-install-DOCS-on: remove README and add Development.ja.org
Comment 1 kenji.rikitake 2017-09-18 09:15:34 UTC
Installation test done on
emacs25-25.3,3
on amd64 11.1-STABLE r322643.
Unable to test on other 10.3 and 11.1 releases,
but this software does not contain non-elisp binaries
so installation testing on a working Emacs environment will suffice.
Comment 2 Kenji Rikitake 2017-09-19 06:32:14 UTC
The following error message occurred during the poudriere testport on 10.3-RELEASE-p21 amd64:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-search-web.el
Error: Orphaned: %%EMACS_VERSION_SITE_LISPDIR%%/skk/skk-search-web.elc
Error: Orphaned: %%EMACS_VERSION_SITE_LISPDIR%%/skk/tar-util.el
Error: Orphaned: %%EMACS_VERSION_SITE_LISPDIR%%/skk/tar-util.elc
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

I will update the diff to solve the errors above.
Comment 3 Kenji Rikitake 2017-09-19 06:44:58 UTC
Created attachment 186529 [details]
Patch of japanese/ddskk diff from 15.1 to 16.2 (revised to fix orphan plist errors)

This patch supersedes the previous one.
Comment 4 Kenji Rikitake 2017-09-19 16:24:12 UTC
(In reply to Kenji Rikitake from comment #3)
QA completed for https://bugs.freebsd.org/bugzilla/attachment.cgi?id=186529&action=diff

QA: poudriere testport passed for 10.3-RELEASE-p21 and 11.1-RELEASE-p1
    both on i386 and amd64 architectures
Comment 5 Danilo G. Baio freebsd_committer 2017-09-23 11:57:25 UTC
Comment on attachment 186529 [details]
Patch of japanese/ddskk diff from 15.1 to 16.2 (revised to fix orphan plist errors)

Implicit approval, maintained by ports@
Comment 6 Kenji Rikitake 2017-10-29 06:12:02 UTC
I will take over the maintainer role if necessary.
(FYI: kenji.rikitake@acm.org and kenji@k2r.org are the same person.)
Comment 7 Yuri Victorovich freebsd_committer 2018-02-17 15:55:04 UTC
Committed with small changes.

Thank you for the patch and for taking maintainership!
Comment 8 commit-hook freebsd_committer 2018-02-17 15:55:44 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb 17 15:54:56 UTC 2018
New revision: 462165
URL: https://svnweb.freebsd.org/changeset/ports/462165

Log:
  japanese/ddskk: Update to 16.2

  kenji@k2r.org took maintainership based on:
  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222421#c6

  Additional port changes:
  * Changed to DISTVERSION
  * Moved URLs with better availability to the beginning of MASTER_SITES

  PR:		222421
  Submitted by:	kenji.rikitake@acm.org
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/japanese/ddskk/Makefile
  head/japanese/ddskk/distinfo
  head/japanese/ddskk/files/patch-Makefile
  head/japanese/ddskk/pkg-plist